SQL-инъекция в PHP-Fusion Recepies

Дата публикации:
06.10.2008
Всего просмотров:
1484
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Recepies 1.x (модуль к PHP-Fusion)
Уязвимые версии: PHP-Fusion Recepies 1.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "kat_id" в сценарии recept.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. Пример:

http://[host]/recept.php?click=kategorier&kat_id=[SQL]

URL производителя: venue.nu/infusions/mods_databas/show_one_mods.php?mods_base_id=6

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://milw0rm.com/exploits/6683

или введите имя

CAPTCHA